/*************************************************************
 *                 bbomberman                                *
 *  (c) 2004 by Bernhard Eder (bb-generation)                *
 *  http://bbgen.net/bomberman for updates                   *
 *  Webmaster@bbgen.net for bug reports and other stuff      *
 * --------------------------------------------------------- *
 * This program is free software; you can modify it under    *
 * the terms of the GNU General Public License as published  *
 * by the Free Software Foundation, located in LICENSE       *
 *                                                           *
 *************************************************************/
 
 
#ifndef IMAGES_H
#define IMAGES_H

#include <SDL/SDL.h>
#include <string>
#include <SDL/SDL_image.h>
 


class cl_images
{
  friend class cl_game;
  public:
    cl_images(void);
    ~cl_images(void);
    SDL_Surface *bomb[2], *bomberman[4], *explosion, *box[2], *gras, *powerup[2], *cross;
  private:
    SDL_Surface *texture[1];
    bool LoadImages(void);
};

#endif
